# Fingerbank capabilities will be ongoing in the background
echo 'Fingerbank capabilities will be ongoing'
./go_fingerbank.sh &
while true
do
    # Nmap capabilities are executed every n minutes
    echo 'Running nmap capabilities now'
    ./go_nmap.sh
    # p0f capabilities are executed every n minutes
    echo 'Running p0f capabilities now'
    ./go_p0f.sh
    # Synthesize JSON
    echo 'Synthesizing fingerprint data'
    python3 json_synthesizer.py fingerbank_json/ nmap_json/ p0f_json/
    # Wait n minutes before next execution batch
    echo 'Sleeping before next execution batch'
    sleep 120
done
