for discovered_mac_address in $(sudo nmap -sP 192.168.4.0/24 | grep -o "\([0-9A-Fa-f]\{2\}:\)\{5\}[0-9A-Fa-f]\{2\}")
do
    target_mac=$discovered_mac_address
    echo $target_mac
    
    temp_pcap="p0f/temp/temp.pcap"
    p0f_binary="./p0f/p0f-3.09b/p0f"
    p0f_fp="p0f/p0f-3.09b/p0f.fp"
    p0f_log="p0f/temp/"$target_mac".p0f.log"
    p0f_json="p0f_json/"$target_mac".p0f.json"
    p0f_python="p0f/log_to_json.py"
    
    sudo tcpdump -c 10 -i wlan0 -w $temp_pcap ether src host $target_mac &&
    sudo $p0f_binary -f $p0f_fp -r $temp_pcap -o $p0f_log > /dev/null &&
    sudo chown pi:pi $p0f_log &&
    python $p0f_python $p0f_log p0f_json &&
    sudo rm -f $temp_pcap $p0f_log &&
    
done
