from scapy.all import rdpcap
from sys import argv

print('Reading pcap')
packets = rdpcap(argv[1])

start_time = packets[0].time
end_time = packets[-1].time

mapping = {}

for packet in packets:
    time_elapsed = packet.time - start_time
    int_time_elapsed = int(time_elapsed)
    if str(int_time_elapsed) in mapping:
        #former = mapping[str(int_time_elapsed)]
        #mapping[str(int_time_elapsed)] = former + 1
        former = mapping[str(int_time_elapsed)]
        mapping[str(int_time_elapsed)] = former + len(packet)
    if str(int_time_elapsed) not in mapping:
        #mapping[str(int_time_elapsed)] = 1
        mapping[str(int_time_elapsed)] = len(packet)

temp = {}
intervals = list([int(x) for x in mapping.keys()])
for interval in range(intervals[0], intervals[-1]):
    if str(interval) in mapping:
        temp[str(interval)] = mapping[str(interval)]
    if str(interval) not in mapping:
        temp[str(interval)] = 0

mapping = temp

for interval in mapping:
    print(str(interval) + ", " + str(mapping[interval]))

'''
for packet in packets:
    print(packet.time - start_time, len(packet), packet.src)
'''